Bug 194012 - Review Request: xaos - A fast, portable real-time interactive fractal zoomer
Review Request: xaos - A fast, portable real-time interactive fractal zoomer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-06-04 13:09 EDT by Gérard Milmeister
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-07 11:45:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gérard Milmeister 2006-06-04 13:09:23 EDT
Spec URL: http://math.ifi.unizh.ch/fedora/spec/xaos.spec
SRPM URL: http://math.ifi.unizh.ch/fedora/5/i386/SRPMS.gemi/xaos-3.2.1-1.src.rpm
Description:
XaoS is a fast, portable real-time interactive fractal zoomer. It
displays the Mandelbrot set (among other escape time fractals) and
allows you zoom smoothly into the fractal. Various coloring modes are
provided for both the points inside and outside the selected set. XaoS
supports switching between Julia and Mandelbrot fractal types and
on-the-fly plane switching.
Comment 1 Jason Tibbitts 2006-06-06 01:08:52 EDT
This is a problem which prevents things from installing:
E: xaos info-dir-file /usr/share/info/dir

Since this is a GUI app, it would be good to have a desktop file.

Most of the files aren't writable by root.

I've not seen %doc --parents before, and can't find a reference.  Do you have
one handy?

However, one huge problem with this software is that I can't seem to make it run
in anything but text mode.  It seems to need DGA for any graphics, and that
seems to require root.  Unfortunately it won't run for me even as root.  Is
there any way to get this software to run graphically?  I seem to recall running
it some years ago.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* source files match upstream:
   8df634737b276f9f172060f3ffc489be  XaoS-3.2.1.tar.gz
   8df634737b276f9f172060f3ffc489be  XaoS-3.2.1.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
X rpmlint is silent.
* final provides and requires are sane:
   xaos = 3.2.1-1.fc5
  =
   /bin/sh
   /sbin/install-info
   libX11.so.6
   libXxf86dga.so.1
   libXxf86vm.so.1
   libaa.so.1
   libgpm.so.1
   libncurses.so.5
   libpng12.so.0
   libslang.so.2
   libz.so.1
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
X file permissions are appropriate.
* %clean is present.
* %check is not present; no test suite upstream.
* scriptlets present and sane. (info file installation)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
X a GUI app, but no desktop file.
Comment 2 Jason Tibbitts 2006-06-06 01:28:13 EDT
I found that if you add BR: libXt-devel, the X11 driver is built and works fine.
Comment 3 Gérard Milmeister 2006-06-06 05:08:11 EDT
Re: --parents
I can't find a reference either, stupid google doesn't let me search
for --parents. I found it in an another spec file, but I don't remember which.

(In reply to comment #2)
> I found that if you add BR: libXt-devel, the X11 driver is built and works fine.
Ok

I added an icon and a desktop file.

I made all files root-writable using:
find $RPM_BUILD_ROOT%{_prefix} -print0 -exec chmod u+rw '{}' ';'

http://math.ifi.unizh.ch/fedora/5/i386/SRPMS.gemi/xaos-3.2.1-2.src.rpm
Comment 4 Iago Rubio 2006-06-06 06:26:11 EDT
(In reply to comment #3)
> I made all files root-writable using:
> find $RPM_BUILD_ROOT%{_prefix} -print0 -exec chmod u+rw '{}' ';'

Won't be easier to change defattr(-,root,root,-) with defattr(644,root,root,-) ?

%defattr(644,root,root,-)
[snip]
%attr(755,root,root) {_bindir}/*
[snip]

For consistency it may be good to change the $RPM_BUILD_ROOT variable - as it's
the only variable - with the %{buildroot} macro.

http://fedoraproject.org/wiki/Packaging/Guidelines#head-f3d77b27a5d29dfc1f5600ef3fc836f2e317badf
Comment 5 Jason Tibbitts 2006-06-06 11:16:18 EDT
It's personal choice with the %defattr thing; I personally don't like to clutter
the %files list.

The choice of $RPM_BUILD_ROOT (and $RPM_OPT_FLAGS) is completely up to the
packager; the only requirement is that you must be consistent.  As there is no
use of %{buildroot} or %{optflags}, it is perfectly fine to use $RPM_BUILD_ROOT.

The updated package builds fine; the X11 driver is there and it shows up in the
menu.

APPROVED
Comment 6 Gérard Milmeister 2006-06-07 11:45:29 EDT
Built on FC4, FC5 and FC6. Added to owners.list.

Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.